Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf
Class ListUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.swing.plaf.ListUI

Direct Known Subclasses:
  BasicListUI, MultiListUI

public abstract class ListUI
extends ComponentUI

The JList pluggable look and feel delegate. This interface adds methods that allow the JList component to map locations, e.g. mouse coordinates, to list cells and from cell indices to the bounds of the cell.

Constructor Summary
`ListUI()`

Method Summary
`abstract Rectangle` | `getCellBounds(JList list, int index1, int index2)` Returns the bounds of the specified item in JList coordinates, null if index isn't valid.
`abstract Point` | `indexToLocation(JList list, int index)` Returns the origin of the specified item in JList coordinates, null if index isn't valid.
`abstract int` | `locationToIndex(JList list, Point location)` Convert a point in JList coordinates to the index of the cell at that location.

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, createUI, getAccessibleChild, getAccessibleChildrenCount, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListUI

    public ListUI()

Method Detail

### locationToIndex

    public abstract int locationToIndex(JList list,
                                        Point location)

  Convert a point in JList coordinates to the index of the cell at that location. Returns -1 if there's no cell the specified location.
  Parameters:
    `location` - The JList relative coordinates of the cell
  Returns:
    The index of the cell at location, or -1.

### indexToLocation

    public abstract Point indexToLocation(JList list,
                                          int index)

  Returns the origin of the specified item in JList coordinates, null if index isn't valid.
  Parameters:
    `index` - The index of the JList cell.
  Returns:
    The origin of the index'th cell.

### getCellBounds

    public abstract Rectangle getCellBounds(JList list,
                                            int index1,
                                            int index2)

  Returns the bounds of the specified item in JList coordinates, null if index isn't valid.
  Parameters:
    `index` - The index of the JList cell.
  Returns:
    The bounds of the index'th cell.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.